### Constructor

# FwupdPlugin Archive new_stream

#### Declaration [src]

    FuArchive*
    fu_archive_new_stream (
      GInputStream* stream,
      FuArchiveFlags flags,
      GError** error
    )

#### Description [src]

Parses `stream` as an archive and decompresses all files to memory blobs.

Available since: | 2.0.0

#### Parameters

`stream` | `GInputStream`
| A `GInputStream`.
| The data is owned by the caller of the function.
`flags` | `FuArchiveFlags`
| Archive flags, e.g. `FU_ARCHIVE_FLAG_NONE`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `FuArchive`
| A `FuArchive`, or `NULL` if the archive was invalid in any way.
| The caller of the function takes ownership of the data, and is responsible for freeing it.